Package Details: ca-certificates-dnie 20220522-1

Git Clone URL: https://aur.archlinux.org/ca-certificates-dnie.git (read-only, click to copy)
Package Base: ca-certificates-dnie
Description: Spanish DNIE root certificates
Upstream URL: http://www.dnielectronico.es
Licenses: unknown
Submitter: blackleg
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 18
Popularity: 0.021160
First Submitted: 2015-10-02 20:19 (UTC)
Last Updated: 2022-11-12 22:30 (UTC)

Latest Comments

1 2 3 4 Next › Last »

jorgegmayorgas commented on 2022-05-20 11:02 (UTC) (edited on 2022-05-20 11:04 (UTC) by jorgegmayorgas)

Hola. Hoy 20 de Mayo, he tenido que modificar el fichero PKGBUILD y reemplazar la variable sha256sums por

sha256sums=('ebc5570c29018c4d67b1aa127baf12f703b4611ebc17b7dab5573894179b93fa'
            '601293ca20b09a03295d196256c6953ff9eba811db8e3ce140413c1bffe9a869'
            '8fd16a179944d5d1d420af09405eda7abf2a9c742883e8c2f89e0d90afaf754b'
            '830ff205ae69485059c3fb2376a7f2f9ee1c2a61de259dd09d0bb6ad69f88832'
            'f038421f07f20d63a20d3691e5a178ab8459ebe570c1647b7690554ef23876ab'
            '8265756dd5cd8a37ee61e40351288e4b16a89dd248c1ec4eba25aaf161abf498'
            '9ce630b35f8ae2c6419e734ad9d2fa30476dd9e7394b1e93b27f83f776a024ea'
            '554153b13d2cf9ddb753bfbe1a4e0ae08d0aa4187058fe60a2b862b2e4b87bcb'
            '1edb6bd91274882db795bfc514f8aabe10ad955cbccfd3fd5a5b5febb2ce5b68'
            '9ff23cb9387b9e0083bd5aa1954eeddf792890aa8e67cd4d38dd28af4a439ad8'
            'a3e8f1c57b0def3f014e8b189d1f839e73629f52f8831a9602c846048c513c5a'
            '4b35fd2a8717bd8759f06a766bd7b5f798d430558e33e1874d54b60b08fa396e'
            '4c7d254f258cb71db48d17f6134e7e8d8b47a5f886bd85f397bd47a2750297f2'
            '855639e3b4412f4a011a745ae440fa2c32d6d7ae01d3dd10d98a8434a6e937d4'
            'bb5bec31e2e0670c6e16f6ed6a5093fff48c4c370f4658e502ffe8da5df9ed54'
            '4124d0f2f32693f5892fc1e8013cb59a3762dbcf737f3655b71f42b615e741cb'
            'b03f7cc682d2f0a7c1d195692cc0de4c35ad017294955d35f6eb743fe78595f3'
            '5d93e19f26bcdcc9744f3f342a7d09b3d4d11f3e2dfd4c6079821625878be10a'
            'baf597d97d16bc697f8eb2a1e20ce68c08ad11024f9b1f5264271c1525eeb500'

#             '62b9267266212832a8e22dab933d91c7011274acf71703f9cc97833751a6e94f'
            )

Para que no devuelva error

"==> ERROR: ¡Uno o más archivos no superaron el control de validación!"

madmalkav commented on 2022-04-22 08:35 (UTC)

:: Buscando actualizaciones en AUR... -> ca-certificates-dnie: paquete local (20211113-2) es más nuevo que el paquete disponible en AUR (2022422-1)

piffall commented on 2022-04-13 17:36 (UTC) (edited on 2022-04-13 17:36 (UTC) by piffall)

Este es el parche que se puede aplicar para solucionar el problema:

diff --git a/PKGBUILD b/PKGBUILD
index c1bf09a..07d8da8 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -38,7 +38,7 @@ sha256sums=('6e0235376d543d19c7fa765b66ec14fab785e0fb6076b16682649eb3934655bd'
             '7571df00556f41af9b552982f102529c20adb597fafe0865ccee89f735193458'
             '948ca3f851a4fd11483af67761c4d0603036231ec0611fe06d0e93212ac4d172'
             '25588e7328336f999a2650f60041f5fc107f1709960636b4a14b84cd8b866d54'
-            '36de7b981fbc5c3133d6efe6da0a092c10a9f7c854fb9d8417b94f56ad28f522'
+            '78eb0dbacbced15f9a53292ffeed57efbe8e58efc9cec5397d439fa77028f675'
             '171f5c664bb2ccfd0cf130d782c18205d17cae08aa86bffa772bdc0d4897a3ad'
             )
 makedepends=('convmv')
@@ -57,12 +57,15 @@ package() {
   install -Dm644 "AC DNIE 004.crt"                                                                            "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/AC_DNIE_004_SHA2.crt"
   install -Dm644 "AC DNIE 005.crt"                                                                            "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/AC_DNIE_005_SHA2.crt"
   install -Dm644 "AC DNIE 006.crt"                                                                            "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/AC_DNIE_006_SHA2.crt"
-  install -Dm644 "Certificados OCSP Responder_FNMT_Renovación_Octubre_2021/AV DNIE FNMT.cer"                  "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/AV_DNIE_FNMT.cer"
+  install -Dm644 "Certificados OCSP Responder_FNMT_Renovación_Marzo_2022/AV DNIE FNMT.cer"                  "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/AV_DNIE_FNMT.cer"
+  install -Dm644 "Certificados OCSP Responder_FNMT_Renovación_Marzo_2022/OCSP Responder DNIE 004.cer"       "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_004.cer"
+  install -Dm644 "Certificados OCSP Responder_FNMT_Renovación_Marzo_2022/OCSP Responder DNIE 005.cer"       "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_005.cer"
+  install -Dm644 "Certificados OCSP Responder_FNMT_Renovación_Marzo_2022/OCSP Responder DNIE 006.cer"       "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_006.cer"
 #   install -Dm644 "Certificados OCSP Responder_FNMT_Diciembre_2020/OCSP Responder DNIE 001.cer"                "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_001.cer"
 #   install -Dm644 "Certificados OCSP Responder_FNMT_Diciembre_2020/OCSP Responder DNIE 002.cer"                "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_002.cer"
 #   install -Dm644 "Certificados OCSP Responder_FNMT_Diciembre_2020/OCSP Responder DNIE 003.cer"                "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_003.cer"
-  install -Dm644 "Certificados OCSP Responder_FNMT_Renovación_Octubre_2021/OCSP Responder DNIE 004.cer"       "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_004.cer"
-  install -Dm644 "Certificados OCSP Responder_FNMT_Renovación_Octubre_2021/OCSP Responder DNIE 005.cer"       "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_005.cer"
-  install -Dm644 "Certificados OCSP Responder_FNMT_Renovación_Octubre_2021/OCSP Responder DNIE 006.cer"       "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_006.cer"
+#  install -Dm644 "Certificados OCSP Responder_FNMT_Renovación_Octubre_2021/OCSP Responder DNIE 004.cer"       "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_004.cer"
+#  install -Dm644 "Certificados OCSP Responder_FNMT_Renovación_Octubre_2021/OCSP Responder DNIE 005.cer"       "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_005.cer"
+#  install -Dm644 "Certificados OCSP Responder_FNMT_Renovación_Octubre_2021/OCSP Responder DNIE 006.cer"       "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/OCSP_Responder_DNIE_006.cer"
   install -Dm644 "AVDNIEMINHAP_SHA2.cer"                                                                      "${pkgdir}/usr/share/ca-certificates/trust-source/anchors/AV_DNIE_MINHAP_SHA2.cer"
 }

suquiro commented on 2022-04-13 15:21 (UTC)

Al instalar el paquete los certificados de la FNMT fallan... esta es mi salida.


==> Validando los archivos source con sha256sums...
    ACRAIZ-DNIE2_20211113.zip ... Aprobado
    ACRAIZ-SHA2_20211113.zip ... Aprobado
    ACDNIE001.crt_20211113.zip ... Aprobado
    ACDNIE002.crt_20211113.zip ... Aprobado
    ACDNIE003.crt_20211113.zip ... Aprobado
    ACDNIE004.crt_20211113.zip ... Aprobado
    ACDNIE005.crt_20211113.zip ... Aprobado
    ACDNIE006.crt_20211113.zip ... Aprobado
    Certificados_OCSP_Responder_FNMT_20211113.zip ... HA FALLADO
    AV_DNIE_MINHAP_SHA2_20211113.zip ... Aprobado
==> ERROR: ¡Uno o más archivos no superaron el control de validación!
 -> error descargando fuentes: ca-certificates-dnie 
     context: exit status 1 


 -> convmv dependencia no está satisfecha, limpiando la fila de instalación
==> Creando el paquete: ca-certificates-dnie 20211113-2 (mié 13 abr 2022 17:20:22)
==> Comprobando dependencias mientras se ejecuta...
==> Comprobando dependencias mientras se compila...
==> Recibiendo las fuentes...
  -> ACRAIZ-DNIE2_20211113.zip ha sido encontrado
  -> ACRAIZ-SHA2_20211113.zip ha sido encontrado
  -> ACDNIE001.crt_20211113.zip ha sido encontrado
  -> ACDNIE002.crt_20211113.zip ha sido encontrado
  -> ACDNIE003.crt_20211113.zip ha sido encontrado
  -> ACDNIE004.crt_20211113.zip ha sido encontrado
  -> ACDNIE005.crt_20211113.zip ha sido encontrado
  -> ACDNIE006.crt_20211113.zip ha sido encontrado
  -> Certificados_OCSP_Responder_FNMT_20211113.zip ha sido encontrado
  -> AV_DNIE_MINHAP_SHA2_20211113.zip ha sido encontrado
==> Validando los archivos source con sha256sums...
    ACRAIZ-DNIE2_20211113.zip ... Aprobado
    ACRAIZ-SHA2_20211113.zip ... Aprobado
    ACDNIE001.crt_20211113.zip ... Aprobado
    ACDNIE002.crt_20211113.zip ... Aprobado
    ACDNIE003.crt_20211113.zip ... Aprobado
    ACDNIE004.crt_20211113.zip ... Aprobado
    ACDNIE005.crt_20211113.zip ... Aprobado
    ACDNIE006.crt_20211113.zip ... Aprobado
    Certificados_OCSP_Responder_FNMT_20211113.zip ... HA FALLADO
    AV_DNIE_MINHAP_SHA2_20211113.zip ... Aprobado
==> ERROR: ¡Uno o más archivos no superaron el control de validación!
comprobando dependencias...

Paquete (1)  Versión antigua  Diferencia neta

convmv       2.05-2                 -0,05 MiB

Tamaño total quitado:  0,05 MiB

:: ¿Desea quitar estos paquetes? [S/n] 
:: Procesando los cambios de los paquetes...
(1/1) quitando convmv                                        [################################] 100%
:: Ejecutando los «hooks» de posinstalación...
(1/1) Arming ConditionNeedsUpdate...
 -> error compilando: ca-certificates-dnie

amatriain commented on 2021-12-22 20:22 (UTC)

OCSP_AP.cer ... FAILED
OCSP_AC_Componentes_Informaticos.cer ... FAILED

sl1pkn07 commented on 2021-11-13 22:11 (UTC)

hecho

adoldrol commented on 2021-11-13 20:47 (UTC)

Por favor si tienes tiempo y puedes actualízalo. Me da error esto AV_DNIE_FNMT_SHA2.zip Gracias

Archrysler commented on 2021-10-29 19:50 (UTC) (edited on 2021-10-29 19:54 (UTC) by Archrysler)

Hola: Gracias a sl1pkn07 por el trabajo y mantenimiento. Me da error de validación:

==> Creando el paquete: ca-certificates-dnie 20210522-1 (vie 29 oct 2021 21:46:58) ==> Recibiendo las fuentes... -> ACRAIZ-DNIE2.zip ha sido encontrado -> ACRAIZ-SHA2.zip ha sido encontrado -> ACDNIE001.crt.zip ha sido encontrado -> ACDNIE002.crt.zip ha sido encontrado -> ACDNIE003.crt.zip ha sido encontrado -> ACDNIE004.crt.zip ha sido encontrado -> ACDNIE005.crt.zip ha sido encontrado -> ACDNIE006.crt.zip ha sido encontrado -> AV_DNIE_FNMT_SHA2.zip ha sido encontrado -> AV_DNIE_MINHAP_SHA2.zip ha sido encontrado ==> Validando los archivos source con sha256sums... ACRAIZ-DNIE2.zip ... Aprobado ACRAIZ-SHA2.zip ... Aprobado ACDNIE001.crt.zip ... Aprobado ACDNIE002.crt.zip ... Aprobado ACDNIE003.crt.zip ... Aprobado ACDNIE004.crt.zip ... Aprobado ACDNIE005.crt.zip ... Aprobado ACDNIE006.crt.zip ... Aprobado AV_DNIE_FNMT_SHA2.zip ... HA FALLADO AV_DNIE_MINHAP_SHA2.zip ... Aprobado ==> ERROR: ¡Uno o más archivos no superaron el control de validación! error: no se pudieron descargar fuentes para 'ca-certificates-dnie-20210522-1': error: no se pudieron construir los siguientes paquetes: ca-certificates-dnie-20210522-1

astor commented on 2021-08-03 14:41 (UTC) (edited on 2021-08-03 14:42 (UTC) by astor)

Hola.

Lo primero, gracias. Cada día me sorprende más AUR y no me lo creía cuando vi esto aquí.

Me da error un certificado al instalar:

OCSP_AC_Componentes_Informaticos.cer ... HA FALLADO

==> ERROR: ¡Uno o más archivos no superaron el control de validación! Error al compilar ca-certificates-fnmt

sl1pkn07 commented on 2021-06-14 13:33 (UTC)

@leiru es para el otro paquete xd

done